Review existing glossaries on MediaWiki.org to follow the best practices
Closed, ResolvedPublic

Trizek-WMF updated the task description. (Show Details)Nov 28 2016, 5:41 PM
Trizek-WMF updated the task description. (Show Details)

https://www.mediawiki.org/wiki/Fundraising_tech/Glossary

Fundrasising Tech Glossary edited.
Items were formatted to a bigger text size. Links and some other text were italicized (the "also known as xx") All other text were in block format as to lessen text crowding. A content table at the top of the page was added after editing, good for easy navigation to a specific term.

Username: ISBetrayal

Ps. Willing to further edit.

Thank you!

Items were formatted to a bigger text size. Links and some other text were italicized (the "also known as xx") All other text were in block format as to lessen text crowding.

Good job!

A content table at the top of the page was added after editing, good for easy navigation to a specific term.

I don't see it.

Ps. Willing to further edit.

Agreed: according to the guidelines, the "also known as" sentences are in italics, and synonyms in that line are in bold.

Re edited the page

Content table at the top returned.
Italics and bold text formatted.
Heading formatting was used on the terms to be defined while using the ":" formatting for their definition.

Trizek-WMF updated the task description. (Show Details)Dec 9 2016, 2:50 PM

Re edited the page

Content table at the top returned.
Italics and bold text formatted.
Heading formatting was used on the terms to be defined while using the ":" formatting for their definition.

[Comment copied from the Google Code-in chat]
I don't agree with your last change, about using titles and part of definition lists. It is not a good practice concerning accessibility. At the moment, we don't have a perfect system, I agree with that. We need to improve that bad thing in software (T150263: Create a searchable and shared glossary). The best practices have been published to compensate the lack of that system. Please follow them, but also don't forget to add your ideas and notes to https://www.mediawiki.org/wiki/Help_talk:Glossaries :)

@ISBetrayal made the changes accordingly, and the Fundraising Glossary is now formatted.

Changes made to https://www.mediawiki.org/wiki/Help:Flow/Glossary

Revised arrangement of terms. Can't think of any other issue.

Willing to further edit.

MtDu added a subscriber: MtDu.Dec 21 2016, 5:35 PM

Changes made to https://www.mediawiki.org/wiki/Help:Spec/Glossary.

Reformatted the layout. Had to switch over to the new format, which caused me to have to add some translate tags for the terms. I also fixed some grammar while I was at it.

Let me know what tweaks are needed.
Thanks!

Nemo_bis updated the task description. (Show Details)Dec 23 2016, 9:21 PM
Nemo_bis added a subscriber: Nemo_bis.

I have reviewed https://www.mediawiki.org/wiki/Help:Extension:Translate/Glossary , the current state is ok (a more traditional format is followed than the one suggested in your help page). MtDu still went through all of the glossary, so you might want to mark his task as done anyway.

Aklapper updated the task description. (Show Details)Dec 25 2016, 1:38 PM
MtDu updated the task description. (Show Details)Dec 25 2016, 1:44 PM
Aklapper updated the task description. (Show Details)Dec 27 2016, 6:35 PM

I have reviewed https://www.mediawiki.org/wiki/Help:Extension:Translate/Glossary , the current state is ok (a more traditional format is followed than the one suggested in your help page).

@Nemo_bis: Is there a particular reason why not to be consistent with the "Also known as" style? (I don't care about capitalization or not.)

MtDu closed this task as Resolved.Dec 27 2016, 6:50 PM
MtDu claimed this task.

All glossaries have been reviewed. Hence closing as resolved.

Qgil awarded a token.Jan 3 2017, 7:55 PM
Johan moved this task from Backlog to Archive on the User-Johan board.Jul 26 2017, 3:26 AM